"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ava_1 = require("ava");
var React = require("react");
var ReactTestRenderer = require("react-test-renderer");
var _1 = require(".");
ava_1.default('can use ava', function (t) {
    t.pass();
});
var modalFactory = function (showCloseButton) { return ReactTestRenderer.create(React.createElement(_1.ModalContainer, { activeOnLoad: true }, function (openModal, closeModal, isActive) { return (React.createElement(React.Fragment, null,
    React.createElement("button", { onClick: openModal }, "open"),
    React.createElement(_1.Modal, { isActive: isActive, closeModal: closeModal, showCloseButton: showCloseButton, className: "test" },
        React.createElement("h1", null, "content")))); })).root; };
ava_1.default('modal should render open button', function (t) {
    var result = modalFactory(true);
    t.is(result.children[0].props.children, 'open');
    t.is(result.children[0].type, 'button');
    t.truthy(true);
});
ava_1.default('modal should have close button', function (t) {
    var result = modalFactory(true);
    var modalBox = result.findByProps({ className: 'modal-box test' });
    t.is(modalBox.props.children[0].props.text, '×');
    t.is(modalBox.props.children[0].props.className, 'modal-close-button');
});
ava_1.default('modal should not have close button', function (t) {
    var result = modalFactory(false);
    t.throws(function () { return result.findByProps({ className: 'modal-close-button' }); }, null, 'No instances found with props: {"className":"modal-close-button"}');
});
ava_1.default('modal should have content', function (t) {
    var result = modalFactory(true);
    var modalBox = result.findByProps({ className: 'modal-box test' });
    t.is(modalBox.props.children[1].type, 'h1');
    t.is(modalBox.props.children[1].props.children, 'content');
});
//# sourceMappingURL=index.test.js.map