import * as React from 'react';

interface ButtonProps {
  action: () => void;
  text: string;
  className?: string;
  style?: React.CSSProperties;
}

export const Button: React.StatelessComponent<ButtonProps> = (props) => {
  const { action, text, className, style } = props;

  return(
    <button
      onClick={action}
      className={['button', className].join(' ')}
      style={style}
    >
      {text}
    </button>
  );
};
